Draft: Wire To BSpline

From FreeCAD Documentation
Revision as of 10:47, 18 May 2019 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Draft WireToBSpline

poziția meniului
Drafting → Wire to BSpline
Ateliere
Draft, Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
nici unul

Descriere

Acest instrument convertește un filament Wires într-o funcție BSplines, și vice-versa.

Convertir a wire to a B-Spline, and a closed B-Spline to a closed wire

Cum se folosește

  1. Selectați un wire sau o BSpline
  2. Apăsați butonul Draft WireToBSpline

A new object will be created; the original object will not be modified.

Note: if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the 3D view. If this is the case, manually set DateMake Face to false to see the new shape, or set DateClosed to false to create an open shape.

Opţiuni

  • Obiectul original nu va fi șters după operație, trebuie să-l ștergeți manual dacă doriți asta.

Scrip-Programare

Nu este disponibil, dar crearea unui obiect nou cu punctele dintr-un altul este ușor, de exemplu:

The Points attribute of an object is a list with the points that comprise that object; this list can be passed to functions that build geometry. Each point is defined by its FreeCAD.Vector, with units in millimeters.

  • Dacă obiectul activ este un filament:
import FreeCAD, Draft

# Make a spline from the points of a wire
p1 = FreeCAD.Vector(1000, 1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)
p3 = FreeCAD.Vector(2500, -1000, 0)
p4 = FreeCAD.Vector(3500, -500, 0)

base_wire = Draft.makeWire([p1, p2, p3, p4])

points1 = base_wire.Points
spline = Draft.makeBSpline(points1)

# Make a wire from the points of a spline
base_spline = Draft.makeBSpline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points2 = base_spline.Points
Wire = Draft.makeWire(points2)